<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.persagy.dmp.version.dao.ObjectInfoHistoryMapper">

    <insert id="copyByVersion">
        insert into rwd_object_info_his(id,group_code,project_id,code,orig_code,name,alias_code,alias_name,
            class_code,category,type,first_tag,second_tag,priority,input_mode,unit,data_type,orig_data_type,
            is_multiple,is_region,formatter,data_source,note,sub_flag,weak_point,is_used,version,operator,operator_level)
        select id,group_code,project_id,code,orig_code,name,alias_code,alias_name,
            class_code,category,type,first_tag,second_tag,priority,input_mode,unit,data_type,orig_data_type,
            is_multiple,is_region,formatter,data_source,note,sub_flag,weak_point,is_used,#{version},null,null
        from rwd_object_info_his
        where version = #{srcVersion}
    </insert>
</mapper>
